summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2012-01-08 12:48:04 +0100
committerDan McGee <dan@archlinux.org>2012-01-08 19:03:48 +0100
commit36413aa856a7cace1851679c1398403b30417e80 (patch)
tree5eb9de73e5a30057af80f53d3778c4e39ad4fb0b
parent102e6209c7c850f75b0594e002fc51db83e6c39b (diff)
downloadpacman-36413aa856a7cace1851679c1398403b30417e80.tar.gz
pacman-36413aa856a7cace1851679c1398403b30417e80.tar.xz
makepkg: simplify source archive generation
Simplify the source tarball generation by unifying the handling of local and remote files. This also allows local files to be found in $SRCDEST (FS#26580) and makepkg will abort on missing local source files (only possible to trigger in combination with --skipinteg). Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in8
1 files changed, 3 insertions, 5 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 7cf4844d..d25582f3 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1334,11 +1334,9 @@ create_srcpackage() {
local file
for file in "${source[@]}"; do
- if [[ -f $file ]]; then
- msg2 "$(gettext "Adding %s...")" "$file"
- ln -s "${startdir}/$file" "$srclinks/$pkgbase"
- elif (( SOURCEONLY == 2 )); then
- local absfile=$(get_filepath "$file") || missing_source_file "$file"
+ if [[ "$file" == $(get_filename "$file") ]] || (( SOURCEONLY == 2 )); then
+ local absfile
+ absfile=$(get_filepath "$file") || missing_source_file "$file"
msg2 "$(gettext "Adding %s...")" "${absfile##*/}"
ln -s "$absfile" "$srclinks/$pkgbase"
fi